Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package doc
  Definition Classes
    nsc
-  package model
  Definition Classes
    doc
-  package diagram
  Definition Classes
    model
- ClassNode
- ContentDiagram
- ContentDiagramDepth
- DepthInfo
- Diagram
- DiagramDirectiveParser
- DiagramFactory
- ImplicitNode
- InheritanceDiagram
- Node
- NormalNode
- ObjectNode
- OtherNode
- OutsideNode
- ThisNode
- TraitNode
- TypeNode

c

scala.tools.nsc.doc.model.diagram

# Node 

###
Companion object Node

#### sealed abstract class Node extends AnyRef

Source
  Diagram.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
ImplicitNode, NormalNode, OutsideNode, ThisNode
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Node
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def tooltip: Option[String]
2.  abstract def tpe: TypeEntity
3.  abstract def tpl: Option[TemplateEntity]

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Node to any2stringadd[Node] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Node, B)
   Implicit
     This member is added by an implicit conversion from Node to ArrowAssoc[Node] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def doctpl: Option[DocTemplateEntity]

   shortcut to get a DocTemplateEntity

9.  def ensuring(cond: (Node) ⇒ Boolean, msg: ⇒ Any): Node
   Implicit
     This member is added by an implicit conversion from Node to Ensuring[Node] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (Node) ⇒ Boolean): Node
    Implicit
      This member is added by an implicit conversion from Node to Ensuring[Node] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: ⇒ Any): Node
    Implicit
      This member is added by an implicit conversion from Node to Ensuring[Node] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): Node
    Implicit
      This member is added by an implicit conversion from Node to Ensuring[Node] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Node to StringFormat[Node] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  final def getClass(): java.lang.Class[_]
    Definition Classes
      AnyRef → Any
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
19.  def isClassNode: Boolean
20.  def isImplicitNode: Boolean
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  def isNormalNode: Boolean
23.  def isObjectNode: Boolean
24.  def isOtherNode: Boolean
25.  def isOutsideNode: Boolean
26.  def isThisNode: Boolean
27.  def isTraitNode: Boolean
28.  def isTypeNode: Boolean
29.  def name: String
30.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
31.  final def notify(): Unit
    Definition Classes
      AnyRef
32.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
33.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
34.  def toString(): String
    Definition Classes
      AnyRef → Any
35.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
38.  def →[B](y: B): (Node, B)
    Implicit
      This member is added by an implicit conversion from Node to ArrowAssoc[Node] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Node to any2stringadd[Node]

### Inherited by implicit conversion StringFormat from Node to StringFormat[Node]

### Inherited by implicit conversion Ensuring from Node to Ensuring[Node]

### Inherited by implicit conversion ArrowAssoc from Node to ArrowAssoc[Node]

### Ungrouped